CONFIG ?= config.mk
include ../$(CONFIG)

INCLUDES := -I$(HDF5_INC)
LDFLAGS := -L$(HDF5_LIB) -L$(HDF5_PLUGIN_PATH)
LDLIBS := -l$(HDF5_LIBNAME) -l$(OUT_LIBNAME)

TEST_EXEC := run

.PHONY: all test clean

all: test

test: $(TEST_PROG).o
	./$(TEST_EXEC)
	$(H5DUMP) $(TEST_PROG).h5
	@echo "OK"

$(TEST_PROG).o: $(TEST_PROG).c
	$(CC) $(CFLAGS) $(INCLUDES) $(LDFLAGS) $(LDLIBS) -o $(TEST_EXEC) $(TEST_PROG).c

clean:
	$(RM) *.o *.h5 $(TEST_EXEC)




